FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 12-26-2010, 08:03 PM
Slicky Johnson
 
Default Removing mktmp and diff

Is it safe to remove these from Squeeze?

$ deborphan
mktemp
diff

$ aptitude why diff
Unable to find a reason to install diff.

aptitude why mktemp
Unable to find a reason to install mktemp.

# aptitude purge diff mktemp
The following packages will be REMOVED:
diff{p} mktemp{p}
0 packages upgraded, 0 newly installed, 2 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 57.3 kB will be freed.
Do you want to continue? [Y/n/?] Y
The following ESSENTIAL packages will be REMOVED!
diff mktemp

WARNING: Performing this action will probably cause your system to
break! Do NOT continue unless you know EXACTLY what you are doing!
To continue, type the phrase "I am aware that this is a very bad idea":



--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20101226160355.54531c1f@t61.debian-linux">http://lists.debian.org/20101226160355.54531c1f@t61.debian-linux
 
Old 12-26-2010, 08:27 PM
Sven Joachim
 
Default Removing mktmp and diff

On 2010-12-26 22:03 +0100, Slicky Johnson wrote:

> Is it safe to remove these from Squeeze?
>
> $ deborphan
> mktemp
> diff

Yes, those are empty transitional packages in squeeze, so you can safely
remove them.

> # aptitude purge diff mktemp
> The following packages will be REMOVED:
> diff{p} mktemp{p}
> 0 packages upgraded, 0 newly installed, 2 to remove and 0 not upgraded.
> Need to get 0 B of archives. After unpacking 57.3 kB will be freed.
> Do you want to continue? [Y/n/?] Y
> The following ESSENTIAL packages will be REMOVED!
> diff mktemp
>
> WARNING: Performing this action will probably cause your system to
> break! Do NOT continue unless you know EXACTLY what you are doing!
> To continue, type the phrase "I am aware that this is a very bad idea":

You almost surely still have an entry for lenny (or stable) in your
sources.list and are hit by bug #216768.

Sven


http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=216768


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 87ipygql76.fsf@turtle.gmx.de">http://lists.debian.org/87ipygql76.fsf@turtle.gmx.de
 

Thread Tools




All times are GMT. The time now is 04:34 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org